package com.coherentlogic.wb.client.core.domain;

import static com.coherentlogic.wb.client.core.domain.Constants.WB_TOPICS;
import static com.coherentlogic.wb.client.core.domain.Constants.TOPICS_TBL;

import java.util.List;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.coherentlogic.wb.client.core.converters.TopicsConverter;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamConverter;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

/**
 * 
 *
 *
 * @author <a href="mailto:support@coherentlogic.com">Support</a>
 */
@Entity
@Table(name=TOPICS_TBL)
@XStreamAlias(WB_TOPICS)
@XStreamConverter(value=TopicsConverter.class)
public class Topics extends PaginationBean {

    private static final long serialVersionUID = 8963550016383375659L;

    @XStreamImplicit
    private List<Topic> topicList = null;

    public List<Topic> getTopicList() {
        return topicList;
    }

    public void setTopicList(List<Topic> topicList) {
        this.topicList = topicList;
    }
}
